=== debian/changelog ===
magit-forge-el (0.1.0+git20200714.639ce51-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 28 Aug 2020 00:48:54 +0200

magit-forge-el (0.1.0+git20200714.639ce51-2) experimental; urgency=medium

  * debian/magit-forge-pkg.el: transient version bumped

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 15:08:33 +0200

magit-forge-el (0.1.0+git20200714.639ce51-1) experimental; urgency=low

  * Initial release (Closes: #926798)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Aug 2020 20:55:39 +0200
