=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-closql,
 elpa-dash,
 elpa-ghub,
 elpa-magit,
 elpa-markdown-mode,
 elpa-transient (>= 0.2.0.30),
 elpa-treepy,
 elpa-with-editor,
 texinfo
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 47.0)
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.
