## magit-forge-el 0.2.1

=== debian/changelog ===
magit-forge-el (0.2.1-3) unstable; urgency=medium

  * debian/rules:
    - bump closql minimal version
    - bump magit minimal version

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 22:08:07 +0200

magit-forge-el (0.2.1-2) unstable; urgency=medium

  * debian/control:
    - bump to minimal versions for magit and transient
    - drop emacs25 from Enhances

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 14:06:13 +0200

magit-forge-el (0.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/magit-forge-pkg.el: mandatory versions bumped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 21:54:52 +0200

magit-forge-el (0.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 19:01:47 +0200
