=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  elpa-closql,
  elpa-dash,
  elpa-ghub,
- elpa-magit,
+ elpa-magit (>= 3.0.0),
  elpa-markdown-mode,
- elpa-transient (>= 0.2.0.30),
+ elpa-transient (>= 0.3.3),
  elpa-treepy,
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Enhances: emacs, emacs25
+Enhances: emacs
 Built-Using: ${misc:Built-Using}
 Description: Work with Git forges from the comfort of Magit
  Work with Git forges, such as Github and Gitlab, from the
