=== debian/rules ===
#!/usr/bin/make -f

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/closql-1.0.6
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/magit-3.2.1

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)
