## magit-forge-el 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 -include config.mk
 include default.mk
 
-.PHONY: lisp docs clean
+.PHONY: lisp docs
 
 all: lisp docs
 
 help:
 	$(info make all          - generate lisp and manual)
+	$(info make lisp         - generate byte-code and autoloads)
 	$(info make docs         - generate most manual formats)
-	$(info make lisp         - generate byte-code and autoloads)
 	$(info make texi         - generate texi manual (see comments))
 	$(info make info         - generate info manual)
 	$(info make html         - generate html manual file)
@@ -25,32 +25,24 @@
 
 docs:
 	@$(MAKE) -C docs docs
-
 texi:
 	@$(MAKE) -C docs texi
-
 info:
 	@$(MAKE) -C docs info
-
 html:
 	@$(MAKE) -C docs html
-
 html-dir:
 	@$(MAKE) -C docs html-dir
-
 pdf:
 	@$(MAKE) -C docs pdf
-
 stats:
 	@$(MAKE) -C docs stats
 
 publish:
 	@$(MAKE) -C docs publish
-
 release:
 	@$(MAKE) VERSION=$(VERSION) -C docs release
 
 clean:
-	@printf "Cleaning...\n"
 	@$(MAKE) -C lisp clean
 	@$(MAKE) -C docs clean
