=== docs/Makefile ===
--- 
+++ 
@@ -7,19 +7,11 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
-ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-# This target first bumps version strings in the Org source.  The
-# necessary tools might be missing so other targets do not depend
-# on this target and it has to be run explicitly when appropriate.
-#
-#   AMEND=t make texi    Update manual to be amended to HEAD.
-#   VERSION=N make texi  Update manual for release.
-#
 .PHONY: texi
 texi:
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
@@ -63,17 +55,13 @@
 .PHONY: stats
 stats:
 	@printf "Generating statistics\n"
-	@gitstats -c style=https://magit.vc/assets/stats.css -c max_authors=999 $(TOP) $(STATS_DIR)
+	@gitstats $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)
 
-DOMAIN         ?= magit.vc
 PUBLISH_PATH   ?= /manual/
 RELEASE_PATH   ?= /manual/$(VERSION)/
-
 S3_BUCKET      ?= s3://$(DOMAIN)
 PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
 RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
-
-CFRONT_DIST    ?= E2LUHBKU1FBV02
 CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
 
 comma := ,
@@ -101,4 +89,5 @@
 CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf
 
 clean:
+	@printf "Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)
