=== debian/changelog ===
magit-forge-el (0.3.1-1ubuntu1) kinetic; urgency=medium

  * Fix debian/rules to not make assumptions about the build environment's
    apt cache; instead use dpkg to inspect the versions of actually-installed
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 Aug 2022 16:51:50 +0000

magit-forge-el (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/magit-forge-pkg.el: version bump
  * debian/control: drop Built-Using field
  * debian/copyright: extend copyright timestamps

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 26 Feb 2022 00:09:07 +0100

magit-forge-el (0.3.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #997518)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Nov 2021 20:14:32 +0100

magit-forge-el (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: auto-figure out dependency versions
  * debian/magit-forge-pkg.el: min versions updated
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 17 Oct 2021 15:02:50 +0200
