=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: magit-forge-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +17,7 @@
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
@@ -27,7 +28,6 @@
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Enhances: emacs
-Built-Using: ${misc:Built-Using}
 Description: Work with Git forges from the comfort of Magit
  Work with Git forges, such as Github and Gitlab, from the
  comfort of Magit and the rest of Emacs.
