=== debian/rules ===
#!/usr/bin/make -f

CLOSQL_VER = $(shell dpkg -l elpa-closql | awk '/^ii/ { print $$3 }' | cut -f1 -d '-')
MAGIT_VER = $(shell dpkg -l elpa-magit | awk '/^ii/ { print $$3 }' | cut -f1 -d '-')

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/closql-$(CLOSQL_VER)
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/magit-$(MAGIT_VER)

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)
