## magit-forge-el 0.3.2

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,10 @@
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
-	$(info make stats        - generate statistics)
 	$(info make publish      - publish snapshot manuals)
 	$(info make release      - publish release manuals)
+	$(info make stats        - generate statistics)
+	$(info make stats-upload - publish statistics)
 	$(info make clean        - remove most generated files)
 	@printf "\n"
 
@@ -35,14 +36,17 @@
 	@$(MAKE) -C docs html-dir
 pdf:
 	@$(MAKE) -C docs pdf
-stats:
-	@$(MAKE) -C docs stats
 
 publish:
 	@$(MAKE) -C docs publish
 release:
 	@$(MAKE) VERSION=$(VERSION) -C docs release
 
+stats:
+	@$(MAKE) -C docs stats
+stats-upload:
+	@$(MAKE) -C docs stats-upload
+
 clean:
 	@$(MAKE) -C lisp clean
 	@$(MAKE) -C docs clean
