=== debian/changelog ===
magit-forge-el (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: override_dh_auto_clean directive added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 15:34:00 +0100

magit-forge-el (0.3.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/rules: vars set via dpkg
    instead of apt-cache (Closes: #1017796)

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 Aug 2022 21:56:58 +0200
