=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: magit-forge-el
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,7 +16,7 @@
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
