=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 
 override_dh_auto_build:
 	make LOAD_PATH=$(LPATH)
+
+override_dh_auto_clean:
