## magit-forge-el 0.3.2+git20231227.1.299bbaa

=== docs/Makefile ===
--- 
+++ 
@@ -14,9 +14,8 @@
 
 .PHONY: texi
 texi:
+	@printf "Generating $(PKG).texi\n"
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
-	@printf "\n" >> $(PKG).texi
-	@rm -f $(PKG).texi~
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -43,7 +42,7 @@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
-	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
@@ -95,8 +94,8 @@
 	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
 
 
-CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf @(GITSTATS_DIR)
+CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf $(GITSTATS_DIR)
 
 clean:
-	@printf "Cleaning docs/*...\n"
+	@printf " Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)
