=== debian/changelog ===
magit-forge-el (0.3.2+git20231227.1.299bbaa-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:39:11 +0900

magit-forge-el (0.3.2+git20231227.1.299bbaa-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Drop d/p/backport-fix-typo.patch (not needed anymore).
  * d/docs: Replace README.md with README.org.
  * Update d/magit-forge-pkg.el from upstream (adapt dependency format).
  * d/control:
    - Remove unnecessary Build-Depends.
    - Specify elpa-magit-forge dependencies manually (upstream dependency
      format unusable by dh-elpa).
    - Remove redundant version on Recommends.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 01 Jan 2024 22:29:34 +0100

magit-forge-el (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Simplify debian/rules.
  * Improve documentation packaging.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 23 Dec 2023 09:48:11 +0100
