=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive-latex-base,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Recommends: emacs
Depends:
 elpa-compat (>= 29.1.4.1),
 elpa-closql (>= 1.2.1+git20230407),
 elpa-dash (>= 2.19.1),
 elpa-emacsql-sqlite (>= 3.1.1+git20230409),
 elpa-ghub (>= 3.6.0),
 elpa-magit (>= 3.3.0+git20230319),
 elpa-markdown-mode (>= 2.4),
 elpa-seq (>= 2.24),
 elpa-yaml (>= 0.5.2),
 emacs-common (>= 1:27.1+1) | elpa-let-alist (>= 1.0.6),
 emacs-common (>= 1:29.1+1) | elpa-transient (>= 0.4.0),
 ${misc:Depends}
Enhances: emacs
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.
