## magit-forge-el 0.4.4

=== debian/changelog ===
magit-forge-el (0.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - S-V bump 4.6.2 -> 4.7.0 (no changes needed)
    - drop explicit deps brought in by dh-elpa
  * debian/magit-forge-pkg.el: bump upstream min versions

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Nov 2024 09:08:18 +0100
