## magit-forge-el 0.4.5

=== debian/changelog ===
magit-forge-el (0.4.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.7.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2025/02/msg00192.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 15:13:28 +0800

magit-forge-el (0.4.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1017796, #1068042)
  * debian/magit-forge-pkg.el: bump min versions for deps

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 14:42:36 +0100
