=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive-latex-base
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Recommends: emacs
Depends:
 ${elpa:Depends},
 ${misc:Depends}
Enhances: emacs
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.
