=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magit-forge-el-$1\.tar\.gz/ \
https://github.com/magit/forge/tags .*/v?(\d\S+)\.tar\.gz
