=== lisp/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 $(PKG)-semi.elc:      $(PKG).elc
 $(PKG)-commands.elc:  $(PKG).elc
 $(PKG)-list.elc:      $(PKG).elc
+$(PKG)-topics.elc:    $(PKG)-tablist.elc
+$(PKG)-repos.elc:     $(PKG)-tablist.elc
 
 %.elc: %.el
 	@printf "Compiling $<\n"
