=== debian/changelog ===
magit-forge-el (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/magit-forge-pkg.el : let dh-elpa generate it.
  * elpa : remove unneeded file references.
  * d/control : Bump Standards-Version to 4.7.2 (no changes needed).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 10:47:40 +0200
