=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  texinfo,
  texlive-latex-base
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
