=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=forge
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_build:
	make docs
