## magit-forge-el 0.6.2

=== debian/changelog ===
magit-forge-el (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Dec 2025 14:23:14 +0100
