=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-elpa,
  texinfo,
  texlive-latex-base
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
